classification
Title: Update test_unicodedata.py to use script_helpers
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: berker.peksag, bobcatfish, ezio.melotti, python-dev, r.david.murray
Priority: normal Keywords: patch

Created on 2015-04-17 00:00 by bobcatfish, last changed 2015-10-22 00:30 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
issue23981_test_unicode.patch bobcatfish, 2015-04-17 00:48
issue23981_test_unicode.patch bobcatfish, 2015-06-14 17:26 review
Messages (6)
msg241293 - (view) Author: Christie (bobcatfish) * Date: 2015-04-17 00:00
As described in Issue9517, many test modules do not make use of the helpers in script_helpers.py to invoke the python interpreter in a subprocess. Issue9517 will be broken down into several smaller issues so we can address smaller change sets.

This issue is to update test_unicodedata.py to use script_helpers.py.
msg241294 - (view) Author: Christie (bobcatfish) * Date: 2015-04-17 00:01
I am working on this now.
msg241299 - (view) Author: Christie (bobcatfish) * Date: 2015-04-17 00:48
@r.david.murray, just bugging you b/c you were commenting on Issue9517, this is ready for a review. It assumes the patch from Issue9517 has been applied.

I'm thinking for the next issue I'll tackle a few test modules at once, since this is such a tiny tiny change set (though these tiny change sets would be easier to review - @r.david.murray what do you think?).
msg245346 - (view) Author: Christie (bobcatfish) * Date: 2015-06-14 17:26
Uploading a new patch, diffed against a public revision so it's reviewable.
msg253312 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-10-22 00:29
New changeset fbd83224e132 by Berker Peksag in branch '3.5':
Issue #23981: Update test_unicodedata to use script_helpers
https://hg.python.org/cpython/rev/fbd83224e132

New changeset 6315abbf5f71 by Berker Peksag in branch 'default':
Issue #23981: Update test_unicodedata to use script_helpers
https://hg.python.org/cpython/rev/6315abbf5f71
msg253313 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-10-22 00:30
Thanks for the patch, Christie.
History
Date User Action Args
2015-10-22 00:30:48berker.peksagsetstatus: open -> closed
resolution: fixed
messages: + msg253313

stage: patch review -> resolved
2015-10-22 00:29:20python-devsetnosy: + python-dev
messages: + msg253312
2015-06-14 17:26:42bobcatfishsetfiles: + issue23981_test_unicode.patch

messages: + msg245346
2015-06-06 22:20:14berker.peksagsetstage: patch review
versions: + Python 3.6
2015-06-06 22:05:13bobcatfishsetnosy: + ezio.melotti, r.david.murray, berker.peksag
2015-04-23 04:41:04berker.peksaglinkissue9517 dependencies
2015-04-17 00:48:04bobcatfishsetfiles: + issue23981_test_unicode.patch
keywords: + patch
messages: + msg241299
2015-04-17 00:01:44bobcatfishsetmessages: + msg241294
2015-04-17 00:00:34bobcatfishcreate